!------------------------------------------------------------------------------
!
!  ISIGIND_Z -- RETURN REACTION INDEX GIVEN REACTION ALADDIN LABEL
!
INTEGER FUNCTION ISIGIND_Z(ZLBL)
!============
! idecl:  explicitize implicit INTEGER declarations:
  use iso_c_binding, only: fp => c_double
  use sigtabl_mod   
  IMPLICIT NONE
  INTEGER ians,i
!============
  CHARACTER*(*) ZLBL
!
  IANS=0
!
  DO I=1,NUMALAD
     IF(ZLBL.EQ.ALADRLBL(I)) THEN
        IANS=I
        exit
     ENDIF
  enddo
!
  ISIGIND_Z=IANS
!
  RETURN
END FUNCTION ISIGIND_Z
!
!------------------------------------------------------------------------------
! 30Jun2000 fgtok -s r8_precision.sub "r8con.csh conversion"
